@fontFamilyName : "raleway";
@fontFamilyDir : "../assets/fonts/raleway";
@fontFamilyPathBaseName : "raleway";


// BLACK - 900


@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-black.woff') format('woff');
    font-weight: 900;
    font-style: normal;
}

@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-blackitalic.woff') format('woff');
    font-weight: 900;
    font-style: italic;
}

// EXTRA-BOLD -700


@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-extrabold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-extrabolditalic.woff') format('woff');
    font-weight: 700;
    font-style: italic;
}


// BOLD - 600


@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-bold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
}


@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-bolditalic.woff') format('woff');
    font-weight: 600;
    font-style: italic;
}


// SEMI-BOLD - 500  

@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-semibold.woff') format('woff');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-semibolditalic.woff') format('woff');
    font-weight: 500;
    font-style: italic;
}


// REGULAR - 400 - normal

@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-regular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-italic.woff') format('woff');
    font-weight: 400;
    font-style: italic;
}

// THIN - 300
@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-thin.woff') format('woff');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-thinitalic.woff') format('woff');
    font-weight: 300;
    font-style: italic;
}

// LIGHT - 200

@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-light.woff') format('woff');
    font-weight: 200;
    font-style: normal;
}

@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-lightitalic.woff') format('woff');
    font-weight: 200;
    font-style: italic;
}

// EXTRA-LIGHT - 100

@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-extralight.woff') format('woff');
    font-weight: 100;
    font-style: normal;
}

@font-face {
    font-family: '@{fontFamilyName}';
    src: url('@{fontFamilyDir}/@{fontFamilyPathBaseName}-extralightitalic.woff') format('woff');
    font-weight: 100;
    font-style: italic;
}